GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::AuthContext Class Referenceabstract

`#include <auth_context.h>`

## Public Member Functions
virtual | ~AuthContext ()
virtual std::vector< grpc::string > | GetPeerIdentity () const =0
virtual grpc::string | GetPeerIdentityPropertyName () const =0
virtual std::vector< grpc::string > | FindPropertyValues (const grpc::string &name) const =0
virtual AuthPropertyIterator | begin () const =0
virtual AuthPropertyIterator | end () const =0

## Constructor & Destructor Documentation

virtual grpc::AuthContext::~AuthContext | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual AuthPropertyIterator grpc::AuthContext::begin | ( |  | ) | const
| pure virtual

virtual AuthPropertyIterator grpc::AuthContext::end | ( |  | ) | const
| pure virtual

virtual std::vector<grpc::string> grpc::AuthContext::FindPropertyValues | ( | const grpc::string & | name | ) | const
| pure virtual

virtual std::vector<grpc::string> grpc::AuthContext::GetPeerIdentity | ( |  | ) | const
| pure virtual

virtual grpc::string grpc::AuthContext::GetPeerIdentityPropertyName | ( |  | ) | const
| pure virtual

The documentation for this class was generated from the following file:

- include/grpc++/auth_context.h